%bcond_with bootstrap

Name:           maven-remote-resources-plugin
Version:        1.7.0
Release:        %mkrel 11
Group:          Development/Java
Summary:        Maven Remote Resources Plugin
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-remote-resources-plugin/
BuildArch:      noarch

Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

Patch0:         0001-Port-to-Maven-3.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires:  mvn(org.apache.maven.shared:maven-filtering)
BuildRequires:  mvn(org.apache.maven.shared:maven-verifier)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-provider-api)
BuildRequires:  mvn(org.apache.maven:maven-archiver)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-settings)
BuildRequires:  mvn(org.apache.velocity:velocity)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires:  mvn(org.codehaus.plexus:plexus-resources)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
%endif

%description
Process resources packaged in JARs that have been deployed to
a remote repository. The primary use case being satisfied is
the consistent inclusion of common resources in a large set of
projects. Maven projects at Apache use this plug-in to satisfy
licensing requirements at Apache where each project much include
license and notice files for each release.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q
%patch0 -p1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Mon Jul 25 2022 neoclust <neoclust> 1.7.0-11.mga9
+ Revision: 1871230
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 1.7.0-10.mga9
+ Revision: 1870739
- Add bootstrap build mode
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Sep 03 2020 daviddavid <daviddavid> 1.7.0-1.mga8
+ Revision: 1621345
- Update to version 1.7.0
- Rebuilt for JDK-11
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Nov 17 2018 guillomovitch <guillomovitch> 1.5-2.mga7
+ Revision: 1330508
- disable strict javadoc check
- non bootstrap build

* Sat Nov 17 2018 guillomovitch <guillomovitch> 1.5-1.mga7
+ Revision: 1330367
- new version 1.5

* Wed Sep 19 2018 umeabot <umeabot> 1.4-14.mga7
+ Revision: 1264081
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 1.4-13.mga6
+ Revision: 1101396
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.4-11.mga6
+ Revision: 977290
- First rebuild of the java stack
- sync package maven-remote-resources-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Jan 19 2015 daviddavid <daviddavid> 1.4-6.mga5
+ Revision: 811443
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 1.4-5.mga5
+ Revision: 742498
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.4-3.mga4
+ Revision: 537844
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 1.4-2.mga4
+ Revision: 487963
- BuildRequire newer version of Plexus container

* Thu Jul 11 2013 dmorgan <dmorgan> 1.4-1.mga4
+ Revision: 453184
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.3-2.mga3
+ Revision: 359756
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 11 2012 dmorgan <dmorgan> 1.3-1.mga3
+ Revision: 292282
- New version

* Thu Dec 22 2011 dmorgan <dmorgan> 1.2.1-4.mga2
+ Revision: 186201
- Fixed patch ( Fedora)
- Fixed patch ( Fedora)

* Thu Dec 22 2011 dmorgan <dmorgan> 1.2.1-1.mga2
+ Revision: 186186
- New version 1.2.1
- Add buildrequire
- Add maven-site-plugin as buildrequire
- Fix buildrequires
- Add missing requires on maven-shared-downloader.

* Thu Apr 28 2011 dmorgan <dmorgan> 1.2-2.mga1
+ Revision: 92722
- Rebuild after bootstrapping
- imported package maven-remote-resources-plugin


* Thu Mar 17 2011 Alexander Kurtakov <akurtako@redhat.com> 1.2-1
- Update to upstream 1.2 release.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov  3 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1-7
- Fix velocity dependency in pom.xml

* Thu Jul 15 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.1-6
- Fix bug #613582

* Tue Jul 13 2010 Hui Wang <huwang@redhat.com> - 1.1-5
- Add missing requires maven2

* Tue Jul 13 2010 Alexander Kurtakov <akurtako@redhat.com> 1.1-4
- Add missing maven-shared-artifact-resolver requires.

* Tue Jul 13 2010 Hui Wang <huwang@redhat.com> - 1.1-3
- Set '-Dmaven.test.skip=true' to fix Bug 613567

* Thu Jun 03 2010 Hui Wang <huwang@redhat.com> - 1.1-2
- Fixed descirption line length
- Added comment on patch0
- Used macro in add_to_maven_depmap

* Fri May 21 2010 Hui Wang <huwang@redhat.com> - 1.1-1
- Initial version of the package
